Web lists-archives.com

Re: apt{-cache,-get,itude} show wrong version of package after update




On Mon 02 Apr 2018 at 10:53:07 (+0200), Jean-Baptiste Thomas wrote:

> The reason why it failed is that it looked for Packages.xz which
> did not exist on my mirror. The reason why my mirror did not
> have a Packages.xz file is that it was made with the version of
> debmirror in Debian 8, which only concerns itself with
> Packages.gz and Packages.bz2.
> 
> Those files *were* there and apt-get could have used them but,
> in its wisdom, it didn't even try.
> 
> I solved the problem by installing the latest version of
> debmirror on the Debian 8 machine where the mirror is.
> Thankfully, there were no dependency problems.
> 
> There is probably material for a few bug reports in there.

I've run into similar problems with running apt-cacher-ng on a wheezy
machine that's serving jessie and stretch ones. Backports and Sloppy
Backports have come to the rescue with the exception of handling the
bug reports, so I run as far as   apt-get -d upgrade   with the proxy,
but go direct for the actual installation (by which time the .deb file
is in the local /var/cache/apt/archives/).

Cheers,
David.